You are not logged in.

#1 2016-02-17 18:34:17

seqizz
Member
Registered: 2011-04-04
Posts: 37

[Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Hi everyone,

Just upgraded linux-lts from 4.1.17-1 to 4.1.18-1.

After reboot, system couldn't decrypt the LUKS root filesystem. Message was:

Check that kernel supports aes-xts-plain64 cipher

The diff seems one line between two config files for x86_64. I've added these modules to mkinitcpio.conf and rebuilt the initrd with no luck:

aesni_intel
aes-x86_64
dm_crypt

What might be causing the problem? Booting with latest linux (non-lts) does not have this problem.

Thanks.

Last edited by seqizz (2016-03-07 18:23:52)


Creeds matter very little… The optimist proclaims that we live in the best of all possible worlds; and the pessimist fears this is true. So I elect for neither label. - James Branch Cabell

Offline

#2 2016-02-17 19:18:47

alex.theoto
Member
From: Athens Greece
Registered: 2014-11-30
Posts: 307

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

After today's kernel upgrade, I cannot boot my system.
The root is encrypted with Luks and after booting and enter my password I get the following error:

Check that kernel supports aes-xts-plain64 cipher (check syslog for more info)

and prompts me again the password

Downgrading into 4.1.17, cryptsetup works fine.

Should I report it as bug?

Thank you.

Last edited by alex.theoto (2016-02-17 19:19:37)

Offline

#3 2016-02-17 19:37:51

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 29,304
Website

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Merging with the other thread...


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#4 2016-02-17 19:42:39

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 10,236
Website

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Only difference I see to the config itself is likely unrelated.  That's not to dismiss an upstream bug, just to show that nothing was changed by our devs.

Last edited by graysky (2016-02-17 19:43:38)


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs

Offline

#5 2016-02-17 19:57:15

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 10,236
Website

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

I just did a quick install to a spare partition and indeed, this is a repeatable bug:

Failed to setup dm-crypt key mapping for device /dev/md0.
Check that kernel supports aes-xts-plain64 cipher (check syslog for more info).

Someone should open a flyspray if one is not yet on the tracker.

EDIT: Upstream bug report here: https://bugzilla.kernel.org/show_bug.cgi?id=112631

Last edited by graysky (2016-02-17 20:26:18)


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs

Offline

#6 2016-02-17 21:54:10

loqs
Member
Registered: 2014-03-06
Posts: 13,257

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Offline

#7 2016-02-18 03:17:25

kalessin
Member
Registered: 2015-12-02
Posts: 3

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Hello,

Had to reboot for that getaddrinfo vuln today, also upgraded to 4.1.18-1 before that.

I wasn't able to decrypt my disk after rebooting, apparently the kernel/dm_crypt couldn't deal with aes-xts-plain64.

Booting from the installer and setting-up the linux package (as opposed to linux-lts) allowed me to fix the issue.

Anyone else affected?

Any question, let me know!

Offline

#8 2016-02-18 03:24:44

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,473

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Yes, there's already a thread in the kernel subforum.

Offline

#9 2016-02-18 09:44:36

x33a
Forum Fellow
Registered: 2009-08-15
Posts: 4,586
Website

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Merged with the already open thread.

Offline

#10 2016-02-21 14:38:23

loqs
Member
Registered: 2014-03-06
Posts: 13,257

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Does cryptsetup 1.7.0-2 https://projects.archlinux.org/svntogit … aeba51ef1d resolve the issue?

Offline

#11 2016-02-21 17:33:41

gilgamezh
Member
From: CABA, Argentina
Registered: 2011-05-08
Posts: 4
Website

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

loqs wrote:

Does cryptsetup 1.7.0-2 https://projects.archlinux.org/svntogit … aeba51ef1d resolve the issue?

No, same error (using 1.7.0-2 from testing)

Last edited by gilgamezh (2016-02-21 17:35:06)


http://gilgamezh.me | @gilgamezh

Offline

#12 2016-02-21 17:59:43

loqs
Member
Registered: 2014-03-06
Posts: 13,257

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

gilgamezh wrote:

No, same error (using 1.7.0-2 from testing)

You might want to point that out here https://bugs.archlinux.org/task/48230
Edit:
If it is a root filesystem did you rebuild the initrd?

Last edited by loqs (2016-02-21 18:24:30)

Offline

#13 2016-02-22 00:53:13

sammy14
Member
Registered: 2016-02-22
Posts: 2

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Hi! I just did a system upgrade* on my manjaro setup including update to kernel 4.1.18.1 and cryptsetup-1.7.0-1.1. I have the same error message when trying to unlock my encrypted LVM.
The problem is that I am really new to arch (using manjaro for a week now) and I have absolutely no idea how to fix that (I wouldn't even know how to downgrade to 17.1 again since there is only 18.1 choosable in 'advanced options' boot entry). Thus any help is greatly appreciated!

About my setup: not encrypted boot; LVM encrypted with “cryptsetup -c aes-xts-plain64 -s 512 -y luksFormat /dev/sda4”, in there root, home and boot
(created with this tutorial)

*during upgrade I received “warning: /etc/systemd/logind.conf installed as /etc/systemd/logind.conf.pacnew”

Edit: might this help? https://serverfault.com/questions/75391 … n64-cipher

Last edited by sammy14 (2016-02-22 01:06:49)

Offline

#14 2016-02-22 04:55:35

x33a
Forum Fellow
Registered: 2009-08-15
Posts: 4,586
Website

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

@sammy14

Please note that Manjaro is not Arch. We provide support only for Arch Linux.

https://wiki.archlinux.org/index.php/Fo … pport_ONLY

You can follow this thread if you want, but you would get better support on the Manjaro forums.

Offline

#15 2016-02-22 12:11:41

sammy14
Member
Registered: 2016-02-22
Posts: 2

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

@x33a: Thanks for pointing me to that. I will go there in future.

FYI: I fixed the problem by chrooting into the system from a live cd and installing linux43 kernel.

Offline

#16 2016-02-25 15:38:10

seqizz
Member
Registered: 2011-04-04
Posts: 37

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

So, on the bug report it says fixed by latest cryptsetup package (1.7.0-2) and fedora lads closed the bug report with saying this is an upstream (kernel) problem. But I still have problem with this cryptsetup version and LTS kernel?

Any suggestions? Currently running non-lts (which can't even suspend to ram correctly for me).

// EDIT: seems like only problematic one is lts. Zen works fine also..

Last edited by seqizz (2016-02-25 17:49:54)


Creeds matter very little… The optimist proclaims that we live in the best of all possible worlds; and the pessimist fears this is true. So I elect for neither label. - James Branch Cabell

Offline

#17 2016-03-07 17:55:33

alex.theoto
Member
From: Athens Greece
Registered: 2014-11-30
Posts: 307

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

I think this problem has solved.
There are both new linux-lts and cryptsetup packages available.

Offline

#18 2016-03-07 18:23:29

seqizz
Member
Registered: 2011-04-04
Posts: 37

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

Just upgraded & made a test. Yeah seems like solved by itself. I had plenty of time to migrate to opensuse in this time. Adding "solved" to topic.


Creeds matter very little… The optimist proclaims that we live in the best of all possible worlds; and the pessimist fears this is true. So I elect for neither label. - James Branch Cabell

Offline

#19 2016-03-10 13:30:30

eblau
Member
Registered: 2016-02-11
Posts: 34

Re: [Solved] aes-xts-plain64 support on linux-lts-4.1.18-1

I hit this problem when upgrading to linux-lts-4.1.18-1. Upgrading to cryptsetup 1.7.0-2 and re-running "mkinitcpio -p linux-lts" to update the initrd for my encrypted root filesystem fixed the problem for me even staying on linux-lts-4.1.18-1.

Offline

Board footer

Powered by FluxBB